> ## Documentation Index
> Fetch the complete documentation index at: https://api-docs.helpyousponsor.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create a draft message



## OpenAPI

````yaml post /admin/message/draft/{entity_id}/{donor_id}/{from}/{file_id}
openapi: 3.0.0
info:
  title: Example for response examples value
  version: '1.0'
servers:
  - url: https://api.helpyousponsor.com/v1
    description: Production
security: []
paths:
  /admin/message/draft/{entity_id}/{donor_id}/{from}/{file_id}:
    post:
      tags:
        - Email manager
      summary: Create a draft message
      operationId: 8992b52a31560b62e3edecc07baa3d81
      parameters:
        - name: entity_id
          in: path
          description: The id of the entity
          required: true
          schema:
            type: integer
        - name: donor_id
          in: path
          description: The id of the donor
          required: true
          schema:
            type: integer
        - name: from
          in: path
          description: The sender of the message
          required: true
          schema:
            type: string
        - name: file_id
          in: path
          description: The id of the file attached to the message
          required: true
          schema:
            type: integer
      requestBody:
        description: Data needed to create the draft message
        required: true
        content:
          application/json:
            schema:
              properties:
                subject:
                  description: The subject of the message
                  type: string
                message:
                  description: The content of the message
                  type: string
              type: object
      responses:
        '200':
          description: Successful operation
          content:
            application/json:
              schema:
                properties:
                  message:
                    description: Confirmation message
                    type: string
                type: object
        '400':
          description: Bad request
        '404':
          description: Not found

````